--- ./configure.in	2013-03-11 11:47:29.705531866 +0000
+++ ./configure.in	2013-03-11 11:49:46.921535134 +0000
@@ -330,11 +330,6 @@
         [Enable the build of the MySQL Connector extension.])
 )
 
-AC_ARG_ENABLE(ext-nlpsolver,
-    AS_HELP_STRING([--enable-ext-nlpsolver],
-        [Enable the NLPSolver extension.])
-)
-
 AC_ARG_ENABLE(ext-ct2n,
     AS_HELP_STRING([--enable-ext-ct2n],
         [Enable the ConvertTextToNumber extension.])
@@ -365,16 +360,6 @@
         [Disable the Presentation Minimizer extension.])
 )
 
-AC_ARG_ENABLE(ext-report-builder,
-    AS_HELP_STRING([--disable-ext-report-builder],
-        [Disable the Report Builder extension.])
-)
-
-AC_ARG_ENABLE(ext-scripting-beanshell,
-    AS_HELP_STRING([--enable-ext-scripting-beanshell],
-        [Enable support for scripts in BeanShell.])
-)
-
 AC_ARG_ENABLE(ext-typo,
     AS_HELP_STRING([--enable-ext-typo],
         [Enable the Typography Toolbar extension.])
@@ -389,11 +374,6 @@
     AS_HELP_STRING([--enable-ext-watch-window],
         [Enable the Watch Window extension to Calc.])
 )
-
-AC_ARG_ENABLE(ext-wiki-publisher,
-    AS_HELP_STRING([--enable-ext-wiki-publisher],
-        [Enable the Wiki Publisher extension.])
-)
 ###############################################################################
 
 dnl ---------- *** ----------
@@ -920,13 +900,6 @@
          boost/vigra/odbc/sane-header(s).]),
 ,)
 
-AC_ARG_WITH(system-jars,
-    AS_HELP_STRING([--without-system-jars],
-        [When building with --with-system-libs, also the needed jars are expected
-         on the system. Use this to disable that (except for the db case where
-         --with-system-db *has to* imply using the db.jar from there, too).]),
-,)
-
 AC_ARG_WITH(system-stdlibs,
     AS_HELP_STRING([--without-system-stdlibs],
         [Bundle the used libstdc++/libgcc_s into the installation set.]),,
@@ -1068,21 +1041,6 @@
         [Use Berkeley db already on system.]),,
     [with_system_db="$with_system_libs"])
 
-AC_ARG_WITH(system-apache-commons,
-    AS_HELP_STRING([--with-system-apache-commons],
-        [Use Apache commons libraries already on system.]),,
-    [with_system_apache_commons="$with_system_jars"])
-
-AC_ARG_WITH(lucene-core-jar,
-    AS_HELP_STRING([--with-lucene-core-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LUCENE_CORE_JAR=$withval)
-
-AC_ARG_WITH(lucene-analyzers-jar,
-    AS_HELP_STRING([--with-lucene-analyzers-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LUCENE_ANALYZERS_JAR=$withval ,)
-
 AC_ARG_WITH(system-mysql,
     AS_HELP_STRING([--with-system-mysql],
         [Use MySQL libraries already on system, for building the MySQL Connector/LibreOffice
@@ -1121,131 +1079,6 @@
     ],
 ,)
 
-AC_ARG_WITH(system-hsqldb,
-    AS_HELP_STRING([--with-system-hsqldb],
-        [Use hsqldb already on system.]),,
-    [with_system_hsqldb="$with_system_jars"])
-
-AC_ARG_WITH(hsqldb-jar,
-    AS_HELP_STRING([--with-hsqldb-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    HSQLDB_JAR=$withval)
-
-AC_ARG_WITH(system-beanshell,
-    AS_HELP_STRING([--with-system-beanshell],
-        [Use beanshell already on system.]),,
-    [with_system_beanshell="$with_system_jars"])
-
-AC_ARG_WITH(beanshell-jar,
-    AS_HELP_STRING([--with-beanshell-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    BSH_JAR=$withval)
-
-AC_ARG_WITH(commons-codec-jar,
-    AS_HELP_STRING([--with-commons-codec-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    COMMONS_CODEC_JAR=$withval)
-
-AC_ARG_WITH(commons-lang-jar,
-    AS_HELP_STRING([--with-commons-lang-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    COMMONS_LANG_JAR=$withval)
-
-AC_ARG_WITH(commons-httpclient-jar,
-    AS_HELP_STRING([--with-commons-httpclient-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    COMMONS_HTTPCLIENT_JAR=$withval)
-
-AC_ARG_WITH(commons-logging-jar,
-    AS_HELP_STRING([--with-commons-logging-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    COMMONS_LOGGING_JAR=$withval)
-
-AC_ARG_WITH(system-servlet-api,
-    AS_HELP_STRING([--with-system-servlet-api],
-        [Use servlet-api already on system.]),,
-    [with_system_servlet_api="$with_system_jars"])
-
-AC_ARG_WITH(servlet-api-jar,
-    AS_HELP_STRING([--with-servlet-api-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    SERVLETAPI_JAR=$withval)
-
-AC_ARG_WITH(system-jfreereport,
-    AS_HELP_STRING([--with-system-jfreereport],
-        [Use JFreeReport already on system.]),,
-    [with_system_jfreereport="$with_system_jars"])
-
-AC_ARG_WITH(sac-jar,
-    AS_HELP_STRING([--with-sac-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    SAC_JAR=$withval)
-
-AC_ARG_WITH(libxml-jar,
-    AS_HELP_STRING([--with-libxml-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LIBXML_JAR=$withval)
-
-AC_ARG_WITH(flute-jar,
-    AS_HELP_STRING([--with-flute-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    FLUTE_JAR=$withval)
-
-AC_ARG_WITH(jfreereport-jar,
-    AS_HELP_STRING([--with-jfreereport-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    JFREEREPORT_JAR=$withval)
-
-AC_ARG_WITH(liblayout-jar,
-    AS_HELP_STRING([--with-liblayout-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LIBLAYOUT_JAR=$withval)
-
-AC_ARG_WITH(libloader-jar,
-    AS_HELP_STRING([--with-libloader-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LIBLOADER_JAR=$withval)
-
-AC_ARG_WITH(libloader-jar,
-    AS_HELP_STRING([--with-libloader-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LIBLOADER_JAR=$withval)
-
-AC_ARG_WITH(libformula-jar,
-    AS_HELP_STRING([--with-libformula-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LIBFORMULA_JAR=$withval)
-
-AC_ARG_WITH(librepository-jar,
-    AS_HELP_STRING([--with-librepository-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LIBREPOSITORY_JAR=$withval)
-
-AC_ARG_WITH(libfonts-jar,
-    AS_HELP_STRING([--with-libfonts-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LIBFONTS_JAR=$withval)
-
-AC_ARG_WITH(libserializer-jar,
-    AS_HELP_STRING([--with-libserializer-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LIBSERIALIZER_JAR=$withval)
-
-AC_ARG_WITH(libbase-jar,
-    AS_HELP_STRING([--with-libbase-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    LIBBASE_JAR=$withval)
-
-AC_ARG_WITH(system-saxon,
-    AS_HELP_STRING([--with-system-saxon],
-        [Use saxon already on system.]),,
-    [with_system_saxon="$with_system_jars"])
-
-AC_ARG_WITH(saxon-jar,
-    AS_HELP_STRING([--with-saxon-jar=JARFILE],
-        [Specify path to jarfile manually.]),
-    SAXON_JAR=$withval)
-
 AC_ARG_WITH(system-odbc,
     AS_HELP_STRING([--with-system-odbc],
         [Use the odbc headers already on system.]),,
@@ -2158,7 +1991,6 @@
     cd CONF-FOR-BUILD
     sub_conf_opts=""
     test -n "$with_ant_home" && sub_conf_opts="$sub_conf_opts --with-ant-home=$with_ant_home"
-    test $with_junit = no && sub_conf_opts="$sub_conf_opts --without-junit"
     test -n "$TARFILE_LOCATION" && sub_conf_opts="$sub_conf_opts --with-external-tar=$TARFILE_LOCATION"
     ./configure \
         --disable-mozilla \
